#include <catch2/catch.hpp>

#include <core/type_util.hpp>
#include <core/type_details.hpp>

#include <alib/variant>
#include <alib/set>

#include <object/ObjectFactory.h>

class Foo { };

TEST_CASE ( "Compontents", "[unit][core]" ) {
	SECTION ( "is_specialized" ) {
		REQUIRE ( ! core::is_specialized < core::type_util < Foo > > );
	}

	SECTION ( "vector of type_details" ) {
		ext::vector < core::type_details > data;
		data.push_back ( core::type_details::get < ext::variant < int, char > > ( ) );
	}
}
